import request from '@/utils/request'

export function getToken() {
  return request({
    url: '/qiniu/upload/token', // 假地址 自行替换
    method: 'get'
  })
}

export function uploadImg(data, uploadWx = false) {
  return request({
    url: `/upload/upload?uploadWx=${uploadWx}`,
    method: 'post',
    data
  })
}

export function uploadVideo(data) {
  return request({
    url: '/upload/uploadVideo',
    method: 'post',
    data
  })
}
