import request from '@/utils/request'

export function fetchSetting(type) {
  return request({
    url: '/setting/read?type=' + type,
    method: 'get',
    params: { type }
  })
}
export function updateSetting(data, type) {
  return request({
    url: '/setting/update?type=' + type,
    method: 'post',
    data
  })
}
