import request from '@/utils/request'
import md5 from 'js-md5'

export function login(data) {
  console.log(data)
  data.password = md5(data.password + 'ayi')
  return request({
    url: '/admin/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/admin/read',
    method: 'get',
    params: { token }
  })
}

export function logout() {
  return request({
    url: '/admin/logout',
    method: 'post'
  })
}

export function fetchList(query) {
  return request({
    url: '/user/index',
    method: 'get',
    params: query
  })
}

export function fetchUser(id) {
  return request({
    url: '/User/read',
    method: 'get',
    params: { id }
  })
}

export function updateUser(data) {
  return request({
    url: '/User/update?id=' + data.id,
    method: 'post',
    data
  })
}

export function deleteUser(id) {
  return request({
    url: '/User/delete?id=' + id,
    method: 'get'
  })
}
